import {Complex} from './type.js'
import {Dependencies, Signature} from '../interfaces/type.js'
import {$reflect} from '../interfaces/type.js'

export const equal =
   <T>(dep: Dependencies<'equal', T>): Signature<'equal', Complex<T>> =>
   (w, z) => dep.equal(w.re, z.re) && dep.equal(w.im, z.im)
$reflect!([equal])
