import {Dependencies, Signature} from '../interfaces/type.js'
import {$reflect} from '../interfaces/type.js'

export const unequal =
   <T>(dep: Dependencies<'equal', T>): Signature<'unequal', T> =>
   (x, y) => !dep.equal(x, y)
$reflect!([unequal])
