import type {Signature} from '../interfaces/type.js'
import {$reflect} from '../interfaces/type.js'

export const isReal =   (): Signature<'isReal',   number> => (a) => true
export const isSquare = (): Signature<'isSquare', number> => (a) => a >= 0

$reflect!([isReal, isSquare])
